Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java
Class Preferences.SubPreferences

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.util.qjml2java.Preferences.SubPreferences

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink

Enclosing class:
  Preferences

public class Preferences.SubPreferences
extends OCMsinkSupport.SubSinkSupport

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`Preferences.SubPreferences(HashMap prior)`

Method Summary
`String` | `express()` Generate an XML document (or other text).
`void` | `expressFile()` Express an object tree as an XML document using the default encoding.

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`express, getInputDoc, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Preferences.SubPreferences

    public Preferences.SubPreferences(HashMap prior)

Method Detail

### express

    public String express()
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Returns:
    The XML representation

### expressFile

    public void expressFile()
                     throws SAXException,
                            IOException

  Description copied from interface: `OCMsink.SubSink`
  Express an object tree as an XML document using the default encoding.
  Overrides:
    `expressFile` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `filename` - File name of the new XML document.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD